## plasma-widget-smooth-tasks 0.0~wip20100227

=== applet/CMakeLists.txt ===
project(smooth-tasks)

find_package(Qt4 REQUIRED)
find_package(KDE4 REQUIRED)
find_package(KDE4Workspace REQUIRED)
include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

set(smoothtasks_SRCS
	SmoothTasks/Applet.cpp
	SmoothTasks/Task.cpp
	SmoothTasks/TaskItem.cpp
	SmoothTasks/TaskIcon.cpp
	SmoothTasks/Light.cpp
	SmoothTasks/ToolTipBase.cpp
	SmoothTasks/DelayedToolTip.cpp
	SmoothTasks/SmoothToolTip.cpp
	SmoothTasks/PlasmaToolTip.cpp
	SmoothTasks/ToolTipWidget.cpp
	SmoothTasks/WindowPreview.cpp
	SmoothTasks/FadedText.cpp
	SmoothTasks/Global.cpp
	SmoothTasks/CloseIcon.cpp
	SmoothTasks/ToggleAnimation.cpp
	SmoothTasks/TaskStateAnimation.cpp
	SmoothTasks/TaskbarLayout.cpp
	SmoothTasks/ByShapeTaskbarLayout.cpp
	SmoothTasks/FixedSizeTaskbarLayout.cpp
	SmoothTasks/FixedItemCountTaskbarLayout.cpp
	SmoothTasks/MaxSqueezeTaskbarLayout.cpp
	SmoothTasks/LimitSqueezeTaskbarLayout.cpp)

set(smoothtasks_RCCS resources.qrc)

qt4_add_resources(smoothtasks_SRCS ${smoothtasks_RCCS})

kde4_add_ui_files(smoothtasks_SRCS
	SmoothTasks/Ui/General.ui
	SmoothTasks/Ui/Appearance.ui)

kde4_add_plugin(plasma_applet_smooth-tasks
	${smoothtasks_SRCS})

target_link_libraries(plasma_applet_smooth-tasks
	${KDE4_PLASMA_LIBS}
	${KDE4_KDEUI_LIBS}
	taskmanager)

if(X11_FOUND)
	target_link_libraries(plasma_applet_smooth-tasks
		${X11_LIBRARIES})
endif(X11_FOUND)

install(TARGETS plasma_applet_smooth-tasks DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-smooth-tasks.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
plasma-widget-smooth-tasks (0.0~wip20100227-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS on armel: error: no matching function for call to
    'qMin(double, qreal)'" make constant explicitly qreal 
    (Closes: DebianBug#598930) Thanks Felix Geyer

 -- Hector Oron <zumbi@debian.org>  Sun, 07 Nov 2010 11:29:04 +0000

plasma-widget-smooth-tasks (0.0~wip20100227-1) unstable; urgency=low

  * Initial Debian upload
  * Changed package description
 
 -- Salvo Rinaldi <salvin@cryptolab.net>  Wed, 12 May 2010 13:31:31 +0100

plasma-widget-smooth-tasks (0.0~wip20100227-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 01 Mar 2010 14:41:50 +0100

plasma-widget-smooth-tasks (0.0~wip20100213-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.4, no changes

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 13 Feb 2010 08:02:28 -0500

plasma-widget-smooth-tasks (0.0~wip20091206-0ubuntu1) lucid; urgency=low

  * Initial release. (LP: #497742)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 31 Jan 2010 09:44:53 -0500

=== debian/control ===
Source: plasma-widget-smooth-tasks
Section: kde
Priority: optional
Maintainer: Salvo Rinaldi <salvin@cryptolab.net>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), gettext,
 kdebase-workspace-dev, libx11-dev, cmake
Standards-Version: 3.8.4
Homepage: http://kde-look.org/content/show.php/Smooth+Tasks?content=101586

Package: plasma-widget-smooth-tasks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: alternate task manager plasma widget
 This task manager replacement shows only task icons
 to increase the free space of the panel.

## plasma-widget-smooth-tasks 0.0~wip20101106

=== debian/changelog ===
plasma-widget-smooth-tasks (0.0~wip20101106-0ubuntu2) oneiric; urgency=low

  * Build depend on kde-workspace-dev instead of kdebase-workspace-dev
  * Rebuild for libtaskmanager transition

 -- Scott Kitterman <scott@kitterman.com>  Wed, 20 Jul 2011 19:33:15 -0400

plasma-widget-smooth-tasks (0.0~wip20101106-0ubuntu1) oneiric; urgency=low

  * New upstream release (LP: #781310) 

 -- Steve Stalcup <vorian@ubuntu.com>  Thu, 02 Jun 2011 14:29:59 -0600

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: plasma-widget-smooth-tasks
 Section: kde
 Priority: optional
-Maintainer: Salvo Rinaldi <salvin@cryptolab.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Salvo Rinaldi <salvin@cryptolab.net>
 Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), gettext,
- kdebase-workspace-dev, libx11-dev, cmake
+ kde-workspace-dev, libx11-dev, cmake
 Standards-Version: 3.8.4
 Homepage: http://kde-look.org/content/show.php/Smooth+Tasks?content=101586

## plasma-widget-smooth-tasks 1flupp0~hg20120610

=== CMakeLists.txt ===
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_subdirectory(po)
add_subdirectory(applet)

=== applet/CMakeLists.txt ===
--- 
+++ 
@@ -9,11 +9,15 @@
 include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})
 
 set(smoothtasks_SRCS
+	SmoothTasks/Animation/AnimationThrowPoint.cpp
+	SmoothTasks/Animation/AnimationThrowRect.cpp
+	SmoothTasks/Animation/AnimationVariant.cpp
 	SmoothTasks/Applet.cpp
 	SmoothTasks/Task.cpp
 	SmoothTasks/TaskItem.cpp
 	SmoothTasks/TaskIcon.cpp
 	SmoothTasks/Light.cpp
+	SmoothTasks/LightAnchorConfig.cpp
 	SmoothTasks/ToolTipBase.cpp
 	SmoothTasks/DelayedToolTip.cpp
 	SmoothTasks/SmoothToolTip.cpp
@@ -23,9 +27,9 @@
 	SmoothTasks/FadedText.cpp
 	SmoothTasks/Global.cpp
 	SmoothTasks/CloseIcon.cpp
-	SmoothTasks/ToggleAnimation.cpp
 	SmoothTasks/TaskStateAnimation.cpp
 	SmoothTasks/TaskbarLayout.cpp
+	SmoothTasks/TaskbuttonFrameSvg.cpp
 	SmoothTasks/ByShapeTaskbarLayout.cpp
 	SmoothTasks/FixedSizeTaskbarLayout.cpp
 	SmoothTasks/FixedItemCountTaskbarLayout.cpp
@@ -38,7 +42,8 @@
 
 kde4_add_ui_files(smoothtasks_SRCS
 	SmoothTasks/Ui/General.ui
-	SmoothTasks/Ui/Appearance.ui)
+	SmoothTasks/Ui/Appearance.ui
+	SmoothTasks/Ui/Workarounds.ui)
 
 kde4_add_plugin(plasma_applet_smooth-tasks
 	${smoothtasks_SRCS})
@@ -46,6 +51,7 @@
 target_link_libraries(plasma_applet_smooth-tasks
 	${KDE4_PLASMA_LIBS}
 	${KDE4_KDEUI_LIBS}
+	${KDE4_KIO_LIBS}
 	taskmanager)
 
 if(X11_FOUND)

=== po/CMakeLists.txt ===
find_program(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
 
if(NOT GETTEXT_MSGFMT_EXECUTABLE)
	message(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
else(NOT GETTEXT_MSGFMT_EXECUTABLE)

	set(catalogname plasma_applet_smooth-tasks)
	add_custom_target(translations ALL)
	
	file(GLOB PO_FILES
		*.po
	)

	foreach(_poFile ${PO_FILES})
		get_filename_component(_lang ${_poFile} NAME_WE)
		set(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
		add_custom_command(TARGET translations
			COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
			WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
			DEPENDS ${_poFile})

		install(FILES ${_gmoFile}
			DESTINATION share/locale/${_lang}/LC_MESSAGES/
			RENAME ${catalogname}.mo)
	endforeach(_poFile ${PO_FILES})
 
endif(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== debian/changelog ===
plasma-widget-smooth-tasks (1flupp0~hg20120610-2build2) saucy; urgency=low

  * No-change rebuild for libtaskmanager4abi5.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Sep 2013 11:24:29 +0100

plasma-widget-smooth-tasks (1flupp0~hg20120610-2build1) saucy; urgency=low

  * No change rebuild for libtaskmanager4 transition

 -- Scott Kitterman <scott@kitterman.com>  Sat, 29 Jun 2013 08:25:47 -0400

plasma-widget-smooth-tasks (1flupp0~hg20120610-2) unstable; urgency=low

  * Adds --parallel in rules
  * Patch from Pino Toscano to build on armel and armhf

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Fri, 29 Jun 2012 15:25:40 +0200

plasma-widget-smooth-tasks (1flupp0~hg20120610-1) unstable; urgency=low

  * Changed to forked version for kde 4.8, using their kde4.8 branch
    https://bitbucket.org/flupp/smooth-tasks-fork/src/e8a97edfdebc
    (Closes: #678774)
  * Changed homepage to point to the new upstream
  * Removed debian patches
  * Added myself as uploader
  * Updated copyright file with new author information
  * Standard version changed to 3.9.3
  * compat=9 (and subsequent changes to rules)
  * migrate kdebase-workspace-dev build dependency to kde-workspace-dev, and
    set its minimum version to 4.8

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Mon, 11 Jun 2012 13:54:55 +0200

=== debian/control ===
Source: plasma-widget-smooth-tasks
Section: kde
Priority: optional
Maintainer: Salvo Rinaldi <salvin@cryptolab.net>
Uploaders: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.15.0), gettext,
 kde-workspace-dev (>= 4:4.8), libx11-dev, cmake
Standards-Version: 3.9.3
Homepage: https://bitbucket.org/flupp/smooth-tasks-fork/

Package: plasma-widget-smooth-tasks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: alternate task manager plasma widget
 This task manager replacement shows only task icons
 to increase the free space of the panel.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE

%:
	dh $@ --parallel --with kde
